Valider l’abonnement
curl --request GET \
--url https://api.x.com/2/account_activity/webhooks/{webhook_id}/subscriptions/all \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.x.com/2/account_activity/webhooks/{webhook_id}/subscriptions/all"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.x.com/2/account_activity/webhooks/{webhook_id}/subscriptions/all', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"subscribed": true
},
"errors": [
{
"title": "<string>",
"type": "<string>",
"detail": "<string>",
"status": 123
}
]
}{
"code": 123,
"message": "<string>"
}Activité du compte
Valider l’abonnement
Vérifie si un utilisateur est abonné à Account Activity pour un webhook donné.
GET
/
2
/
account_activity
/
webhooks
/
{webhook_id}
/
subscriptions
/
all
Valider l’abonnement
Autorisations
OAuth2UserTokenUserToken
The access token received from the authorization server in the OAuth 2.0 flow.
Paramètres de chemin
L’id du webhook pour lequel il faut vérifier l’abonnement. L’identifiant unique de cette configuration de webhook.
Pattern:
^[0-9]{1,19}$Exemple:
"1146654567674912769"
Réponse
La requête a réussi.
Show child attributes
Show child attributes
Minimum array length:
1Un objet HTTP Problem Details, tel que défini dans la RFC IETF 7807 (https://tools.ietf.org/html/rfc7807).
- Option 1
- Option 2
- Option 3
- Option 4
- Option 5
- Option 6
- Option 7
- Option 8
- Option 9
- Option 10
- Option 11
- Option 12
- Option 13
- Option 14
- Option 15
- Option 16
- Option 17
- Option 18
Show child attributes
Show child attributes